Class Fox::FXIconDict

In: | FXFileDict.rb
Parent: | FXDict

Icon dictionary

Methods

defaultIconPath find insert new remove

Attributes

app | [R] | Associated application [FXApp]
iconPath | [RW] | Current icon search path [String]

Public Class methods

defaultIconPath()

Return the default icon search path

new(a, p=defaultIconPath)

Construct an icon dictionary, with given path

Public Instance methods

insert(filename)

Insert unique icon loaded from filename into dictionary; returns a reference to the icon.

remove(name)

Remove icon from dictionary; returns a reference to the icon.

find(name)

Find icon by name